package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerHiringContractTermsConfirms;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerHiringContractTermsConfirmsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerHiringContractTermsConfirms record);

    int insertSelective(AclPractitionerHiringContractTermsConfirms record);

    AclPractitionerHiringContractTermsConfirms selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerHiringContractTermsConfirms record);

    int updateByPrimaryKey(AclPractitionerHiringContractTermsConfirms record);

    int updateBatch(List<AclPractitionerHiringContractTermsConfirms> list);

    int updateBatchSelective(List<AclPractitionerHiringContractTermsConfirms> list);

    int batchInsert(@Param("list") List<AclPractitionerHiringContractTermsConfirms> list);
}